# -*- coding: utf-8 -*-
# @Author: luojunhui
# @Time: 2023/9/25
import os
import sys

sys.path.append(os.getcwd())
from common.common import Common
from xiaoniangao.xiaoniangao_h5.xiaoniangao_h5_schduling import XiaoNianGaoH5Scheduling


def xiaoniangao_recommend_main(log_type, crawler, env):
    Common.logger(log_type, crawler).info(f'开始抓取:小年糕H5\n')
    Common.logging(log_type, crawler, env, "开始抓取:小年糕H5\n")
    XiaoNianGaoH5Scheduling.get_videoList(
        log_type=log_type,
        crawler=crawler,
        rule_dict={"duration": {"min": 40, "max": 0},
                   "play_cnt": {"min": 20000, "max": 0},
                   "period": {"min": 60, "max": 60}},
        our_uid=6267140,
        env=env)
    Common.logger(log_type, crawler).info("抓取一轮结束\n")
    Common.logging(log_type, crawler, env, "抓取一轮结束\n")


if __name__ == "__main__":
    xiaoniangao_recommend_main("recommend", "xiaoniangaoh5", "dev")
